pcl::device::OctreePriorityIteratorDevice Struct Reference

`#include </build/pcl-rK6aXX/pcl-1.12.1+dfsg/gpu/octree/src/utils/priority_octree_iterator.hpp>`

## Public Member Functions

__device__ __forceinline__ | OctreePriorityIteratorDevice (const OctreeGlobalWithBox &octree_arg)
__device__ __forceinline__ void | gotoNextLevel (int first, int len)
__device__ __forceinline__ int | operator* () const
__device__ __forceinline__ void | operator++ ()

## Public Attributes

int | level
int | node_idx
int | length
const OctreeGlobalWithBox & | octree

## Detailed Description

Definition at line 44 of file priority_octree_iterator.hpp.

## Constructor & Destructor Documentation

## OctreePriorityIteratorDevice()

__device__ __forceinline__ pcl::device::OctreePriorityIteratorDevice::OctreePriorityIteratorDevice | ( | const OctreeGlobalWithBox & | octree_arg | ) |

inline

Definition at line 51 of file priority_octree_iterator.hpp.

References length, level, and node_idx.

## Member Function Documentation

## gotoNextLevel()

__device__ __forceinline__ void pcl::device::OctreePriorityIteratorDevice::gotoNextLevel | ( | int | first,
|  | int | len
| ) |  |

inline

Definition at line 58 of file priority_octree_iterator.hpp.

References length, level, and node_idx.

## operator*()

__device__ __forceinline__ int pcl::device::OctreePriorityIteratorDevice::operator* | ( |  | ) | const

inline

Definition at line 65 of file priority_octree_iterator.hpp.

References node_idx.

## operator++()

__device__ __forceinline__ void pcl::device::OctreePriorityIteratorDevice::operator++ | ( |  | ) |

inline

Definition at line 70 of file priority_octree_iterator.hpp.

References length, level, node_idx, pcl::device::OctreeGlobal::nodes, octree, and pcl::device::OctreeGlobal::parent.

## Member Data Documentation

## length

int pcl::device::OctreePriorityIteratorDevice::length

Definition at line 48 of file priority_octree_iterator.hpp.

Referenced by gotoNextLevel(), OctreePriorityIteratorDevice(), and operator++().

## level

int pcl::device::OctreePriorityIteratorDevice::level

Definition at line 46 of file priority_octree_iterator.hpp.

Referenced by gotoNextLevel(), OctreePriorityIteratorDevice(), and operator++().

## node_idx

int pcl::device::OctreePriorityIteratorDevice::node_idx

Definition at line 47 of file priority_octree_iterator.hpp.

Referenced by gotoNextLevel(), OctreePriorityIteratorDevice(), operator*(), and operator++().

## octree

const OctreeGlobalWithBox& pcl::device::OctreePriorityIteratorDevice::octree

Definition at line 49 of file priority_octree_iterator.hpp.

Referenced by operator++().

The documentation for this struct was generated from the following file:

- /build/pcl-rK6aXX/pcl-1.12.1+dfsg/gpu/octree/src/utils/priority_octree_iterator.hpp